彻底解决 Chrome,FireFox,Edge 的 “此Flash Player与您的地区不相容”问题

前言

最近在学习selenium进行网站的自动化测试,突发奇想可以使用selenium来制作一款Flash游戏的辅助程序。话不多说,开始研究,没想到却碰到了最头疼的问题。“此Flash Player与您的地区不相容,请重新安装Flash”,我电脑上的三大浏览器,Chrome,FireFox和Edge全部陷落。在网上找了很多解决办法,都没有完全解决,可能是因为时间的缘故吧。最终,在结合了前人的多篇博文后,成功解决了此问题,在此记录下来。截止至发稿日期,此方法博主亲测有效,但在过一段时间可能就不行了,毕竟Flash要被淘汰了,唉,可惜了我童年的4399小游戏

下载安装包

不要使用最新的Flash,目前最新版本的Flash好像是32.0.0.344,这个版本博主不管怎么尝试都是有问题的,不管是从官网上下载的,还是从第三方网站上下载的,都有问题!也是无奈了
这里给出Adobe Flash Player 29.0.0.140的百度网盘地址
Adobe Flash Player 29.0.0.140 密码:4l0l
Adobe Flash Player 29.0.0.140

卸载之前的Flash

运行 uninstall_flash_player.exe 即可

安装方法

找到然后下载对应自己浏览器的安装程序,在安装之前,一定要断网,一定要断网,一定要断网,重要的事情说三遍,不断网的话一运行安装程序就会打开最新版本的下载地址,贼流氓。
断网之后就可以正常安装了,记得在安装最后一个界面,选择“从不检查更新
在安装完成之后,打开Chrome或Edge,可能会发现还是有问题,别慌,还有一个步骤我们要做,那就是把浏览器默认使用的Flash目录给禁用掉,这里可以参考这篇博文,里面描述的比较详细,我就不再赘述了。
最后修改完成之后,你的 chrome://version/里的flash路径应该是类似这样子的
chrome://version/
Chrome和最新版的Edge都可以用禁用原来Flash的目录来解决。
FireFox只需要在插件中将刚刚安装的29版本的Flash启用即可,如下图
在这里插入图片描述

写在最后

引用其他博文中的一句话:落后就要挨打,该消失就该消失,该研究新技术就研究新技术,而不是做出这种不要脸到极点的事情来赚钱,再伟大的东西都会因为一个污点而遗臭万年。

发布了36 篇原创文章 · 获赞 16 · 访问量 1万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览